| contactalign

## Function

EMBOSS implementation of Damian Counsell's 2.5-D alignment algorithm

## Description

**************** EDIT HERE ****************

## Algorithm

**************** EDIT HERE ****************

## Usage

Under development, no final example yet

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-querysequence]     sequence   First (query) polypeptide sequence to be
                                      aligned
      [-templatesequence]  sequence   Second (template) polypeptide sequence to be
                                      aligned
       -gapopen            float      The gap opening penalty is subtracted from
                                      the total score every time a gap is inserted
                                      in the alignment. The default value is
                                      chosen for the EBLOSUM62 scoring matrix when
                                      you are aligning protein sequences, and the
                                      EDNAFULL matrix when you are aligning
                                      nucleotide sequences. If you sequence
                                      contains many small errors you should set a
                                      low gap opening penalty (near zero) to avoid
                                      over-penalizing those errors.
       -gapextend          float      The gap extension penalty is the score
                                      substracted when more spaces are added to an
                                      existing alignment gap. Often a single
                                      insertion or deletion affects multiple
                                      residues/nucleotides; separate opening and
                                      extension penalties reduce the excessive
                                      penalty such events would otherwise carry;
                                      generally the gap extension penalty should
                                      be significantly lower than the gap opening
                                      penalty.
      [-alignedoutfile]    seqout     Output sequence USA

       Additional (Optional) qualifiers:
       -substitutionscoringfile matrixf    Matrix of scores for specific amino acid
                                      residue type substitution within
                                      one-dimensional sequence strings
       -contactscoringfile matrixf    Matrix of scores for frequency of contacts
                                      between specific amino acid residue types

       Advanced (Unprompted) qualifiers:
       -[no]zeroend        boolean    If this option is true then no penalty is
                                      added for gaps at either ends of a trace.

       Associated qualifiers:

       "-querysequence" associated qualifiers
       -sbegin1            integer    Start of the sequence to be used
       -send1              integer    End of the sequence to be used
       -sreverse1          boolean    Reverse (if DNA)
       -sask1              boolean    Ask for begin/end/reverse
       -snucleotide1       boolean    Sequence is nucleotide
       -sprotein1          boolean    Sequence is protein
       -slower1            boolean    Make lower case
       -supper1            boolean    Make upper case
       -sformat1           string     Input sequence format
       -sdbname1           string     Database name
       -sid1               string     Entryname
       -ufo1               string     UFO features
       -fformat1           string     Features format
       -fopenfile1         string     Features file name

       "-templatesequence" associated qualifiers
       -sbegin2            integer    Start of the sequence to be used
       -send2              integer    End of the sequence to be used
       -sreverse2          boolean    Reverse (if DNA)
       -sask2              boolean    Ask for begin/end/reverse
       -snucleotide2       boolean    Sequence is nucleotide
       -sprotein2          boolean    Sequence is protein
       -slower2            boolean    Make lower case
       -supper2            boolean    Make upper case
       -sformat2           string     Input sequence format
       -sdbname2           string     Database name
       -sid2               string     Entryname
       -ufo2               string     UFO features
       -fformat2           string     Features format
       -fopenfile2         string     Features file name

       "-alignedoutfile" associated qualifiers
       -osformat3          string     Output seq format
       -osextension3       string     File name extension
       -osname3            string     Base file name
       -osdirectory3       string     Output directory
       -osdbname3          string     Database name to add
       -ossingle3          boolean    Separate file for each entry
       -oufo3              string     UFO features
       -offormat3          string     Features format
       -ofname3            string     Features file name
       -ofdirectory3       string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write standard output
       -filter             boolean    Read standard input, write standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report deaths

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-querysequence] (Parameter 1) | First (query) polypeptide sequence to be aligned | Readable sequence | Required
[-templatesequence] (Parameter 2) | Second (template) polypeptide sequence to be aligned | Readable sequence | Required

-gapopen

The gap opening penalty is subtracted from the total score every time a gap is inserted in the alignment. The default value is chosen for the EBLOSUM62 scoring matrix when you are aligning protein sequences, and the EDNAFULL matrix when you are aligning nucleotide sequences. If you sequence contains many small errors you should set a low gap opening penalty (near zero) to avoid over-penalizing those errors.

Floating point number from 1.0 to 100.0

10.0 for any sequence

-gapextend

The gap extension penalty is the score substracted when more spaces are added to an existing alignment gap. Often a single insertion or deletion affects multiple residues/nucleotides; separate opening and extension penalties reduce the excessive penalty such events would otherwise carry; generally the gap extension penalty should be significantly lower than the gap opening penalty.

Floating point number from 0.0 to 10.0

0.5 for any sequence

[-alignedoutfile] (Parameter 3) | Output sequence USA | Writeable sequence | <sequence>.format
Additional (Optional) qualifiers | Allowed values | Default
-substitutionscoringfile | Matrix of scores for specific amino acid residue type substitution within one-dimensional sequence strings | Comparison matrix file in EMBOSS data path | EBLOSUM62 for protein EDNAFULL for DNA
-contactscoringfile | Matrix of scores for frequency of contacts between specific amino acid residue types | Comparison matrix file in EMBOSS data path | EBLOSUM62 for protein EDNAFULL for DNA
Advanced (Unprompted) qualifiers | Allowed values | Default
-[no]zeroend | If this option is true then no penalty is added for gaps at either ends of a trace. | Boolean value Yes/No | Yes

## Input file format

contactalign reads any normal sequence USAs.

Under development, no example input file(s) yet

## Output file format

contactalign outputs a graph to the specified graphics device. outputs a report format file. The default format is ...

Under development, no example output file(s) yet

## Data files

**************** EDIT HERE ****************

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
alignrunner | Runs alignment program on all sequence pairs in a directory
esim4 | Align an mRNA to a genomic DNA sequence
est2genome | Align EST and genomic DNA sequences
nawalign | Damian Counsell's implementation for protein sequences of the Needleman and Wunsch alignment algorithm
nawalignrunner | Runs nawalign alignment program on all sequence pairs in a directory
needle | Needleman-Wunsch global alignment
needlerunner | Runs needle alignment program on all sequence pairs in a directory
scorer | Scores accuracy of protein-protein sequence alignment against gold standard structure-structure alignment
scorerrunner | Runs scorer to compare ordered pairs of substituted seqs in two directories and write the scores to a third
stretcher | Finds the best global alignment between two sequences
substitute | Substitutes matches from first (query) sequence of two aligned sequences in a trace into second (template sequence)
substituterunner | Runs substitute on directory of traces and writes substituted sequences to another

## Author(s)

Damian Counsell (d.counsell © rfcgr.mrc.ac.uk)
MRC Rosalind Franklin Centre for Genomics Research Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SB, UK

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None